Subject: IP Address Allocation

From: "Saket Agarwal" <[email-masked]>
Date: Wed, 19 Jul 2000 10:22:55 GMT

Hi
  Further to the discussion of IP Address Alloc., why not have a static 
identity for each mobile node similar to the IMEI number of a mobile phone, 
it stays with the node throughout its lifetime, is this possible rather than 
allocating and detecting existing IP addresses(a cause for inefficient 
utilisation of bandwidth)
  Could you direct me to the archive where this discussion has taken place
  Thanks
Regards
Saket

>From: Charlie Perkins <[email-masked]>
>To: Saket Agarwal <[email-masked]>
>CC: [email-masked]
>Subject: Re: IP Address Allocation
>Date: Tue, 18 Jul 2000 15:35:50 -0700

>Hello Saket,
>
>The problem of IP address allocation has been discussed quite a
>bit, but I am certain it needs yet more discussion.  It is possible
>for IP addresses to remain static or to be reassigned after movement.
>The problem is not protocol specific.
>
>We have made an attempt at a generic protocol specification.
>See the following for details:
>     http://www.iprg.nokia.com/~charliep/txt/aodvid/autoconf.txt
>
>Regards,
>Charlie P.
>
>Saket Agarwal wrote:
>
> > Hi everyone,
> >   I have recently joined the manet group and am currently pursuing a 
>theoretical analysis of different ad hoc networks as a thesis
> >   After a lot of background reading(maybe not enough), i was wondering 
>about how IP addresses are going to be assigned to each node i.e. if each 
>node will have a permanent address or if it will change as the node moves 
>in the network. What is the criteria for the latter. Is this problem 
>protocol-specific, being different in AODV to DSR to any other protocol, I 
>am sorry if this issue has been discussed previously,
> >   Thanks
> > Rgds
> > Saket Agarwal

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

---

From: Charlie Perkins <[email-masked]>
Date: Wed, 19 Jul 2000 14:58:57 -0700

Hello Saket,

Pushing the identification problem to the IMEI doesn't solve anything,
and just has the effect of introducing a need for yet another address
resolution function.  Finding such a function in an ad-hoc network is
a challenge that most people do not wish to meet, at least in the
general case.

Of course if you have some sort of magic layer-2 wand that you would
like to wave over the entire ad-hoc network, who knows what good
things might result.  You would still have to show that the magic wand
consumes less bandwidth than a layer-3 solution.

Regards,
Charlie P.